% Alternating phase stimuli, such as Meddis & O'Mard (2006)


clear;

fs=100000;
f0a = 125;
f0b = 250;
lowSpectrum= [125 625];
highSpectrum= [3900 5400];
duration=0.5;
condicion= 'silencio';

armA= [1 50];
armB= [1 25];

% Alternating phase stimuli    
[m, lowAlt125] = ComplexTone(duration, fs, f0a, armA, 0, condicion, 1, 'alt', 'bandpass', lowSpectrum);
[m, highAlt125] = ComplexTone(duration, fs, f0a, armA, 0, condicion, 1, 'alt', 'bandpass', highSpectrum);

currentF= pwd;
currentF=currentF(1:length(currentF)-17);
currentF=strcat(currentF,'wavFileStore');

currentFolder = fullfile(currentF, 'Alternating', 'Alt');
name= strcat('AltTone(', num2str(125), 'Hz)Low.wav');
filename= fullfile(currentFolder, 'Low', name);
audiowrite(filename, lowAlt125, fs);

name= strcat('AltTone(', num2str(125), 'Hz)High.wav');
filename= fullfile(currentFolder, 'High', name);
audiowrite(filename, highAlt125, fs);



% % % Generate reference complex tones stimuli
% Sine Phase stimuli with frequencies between 60 Hz and 260 Hz

f0s= 60:5:260;

arm= floor(6000./f0s);

currentFolder = fullfile(currentF, 'Alternating', 'Ref');

for i=1:length(f0s),
    [m,lowtone]= ComplexTone(duration, fs, f0s(i), [1 arm(i)], 0, condicion, 1, 'sine', 'bandpass', lowSpectrum);
    [m,hightone]= ComplexTone(duration, fs, f0s(i), [1 arm(i)], 0, condicion, 1, 'sine', 'bandpass', highSpectrum);
    
    namelow= strcat('ReferenceTone(', num2str(f0s(i)), 'Hz)Low.wav');
    namehigh= strcat('ReferenceTone(', num2str(f0s(i)), 'Hz)High.wav');
    filename1= fullfile(currentFolder, 'Low', namelow);
    filename2= fullfile(currentFolder, 'High', namehigh);
    audiowrite(filename1, lowtone, fs);
    audiowrite(filename2, hightone, fs);
end
