% Ambiguous pitch, Schouten et al. (1962)
% Modulated tone with 1990 Hz carrier modulated by 199 Hz sine tone

clear;

fs=100000;
dt=1/fs;

duration=0.5;

t= (dt:dt:duration);

fc=1990;
f0=199;

combinationTone= 1592;

message= sin(2*pi*f0*t);
carrier= sin(2*pi*fc*t);
combTone= sin(2*pi*combinationTone*t);

amdepth=1;
msignal= (1 + amdepth*message) .* carrier;

msignalComb= msignal + 0.5*combTone;

msignal= msignal ./ max(msignal);
msignalComb= msignalComb ./ max(msignalComb);

currentF= pwd;
currentF=currentF(1:length(currentF)-17);
currentF=strcat(currentF,'wavFileStore');

currentFolder = fullfile(currentF, 'Ambiguous');
name= strcat('AmbiguousTone(', num2str(f0), 'Hz)fc=', num2str(fc), '.wav');
filename= fullfile(currentFolder, name);
audiowrite(filename, msignal, fs);

name= strcat('AmbiguousTone(', num2str(f0), 'Hz)fc=', num2str(fc), 'Comb', num2str(combinationTone) , '.wav');
filename= fullfile(currentFolder, name);
audiowrite(filename, msignalComb, fs);


% [ empty,f,t0,P ] = spectrogram( msignal, rectwin(fs/20), round(fs/40), fs/20, fs );
% P2= mean(P,2);
% P2=P2(f<10000);
% f=f(f<10000);
% plot(f,P2)