function [ m,  signal ] = ComplexToneNoNorm( t, fs, f0, arm, shift, noise, noiseFactor, phase, filter_type, ffreqs )
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here

dt=1/fs;

m= (0:dt:t);

if strcmpi(phase, 'sine')
    signal= zeros(1,length(m));
    for i=arm(1):arm(2)
       signal= signal + sin(2*pi*(i*f0 + shift)*m);
    end
else if strcmpi(phase, 'rand')
    ph= (1/f0)*rand(1,1);
    signal= sin(2*pi*(arm(1)*f0)*(m-ph));
        for i=(arm(1)+1):arm(2)
            ph= (1/f0)*rand(1,1);
            signal= signal + sin(2*pi*(i*f0)*(m-ph));
        end   
    else if strcmpi(phase, 'alt')
            signal= zeros(1,length(m));
        for i=arm(1):arm(2)
            if mod(i,2)==0 % Sums in cosine phase
                signal= signal + cos(2*pi*(i*f0)*(m));
            else % Sums in sine phase
                signal= signal + sin(2*pi*(i*f0)*(m));
            end
        end    
        end
    end
end

if strcmpi(filter_type, 'bandpass'),
     Wn= [2*ffreqs(1)/fs 2*ffreqs(2)/fs]; % Normalized cut-off frequencies
     n=3; % Order of the filter
     [b,a] = butter(n,Wn,'bandpass');  
     signal= filter(b,a,signal);
end
   
   
%    Noise addition stage
   if strcmpi(noise,'white'),
       wnoise= randn(1,length(m));
       signal= signal + wnoise/noiseFactor; 
   end
   if strcmpi(noise,'lowpass'),
        Wn= [(arm(1)-1)*f0/(fs/2)]; % Normalized cut-off frequencies
        n=2; % Order of the filter
        [b,a] = butter(n,Wn,'low'); 
        bnoise= randn(1,length(m));
        bnoise= filter(b,a,bnoise);
        signal= signal + bnoise/noiseFactor;
   end
   
end

