% FDL, Datos de Moore, 1973

% Para 200 ms:

FDLfreqs= [250, 500, 1000, 2000, 4000, 5000, 6300, 8000];
FDL200Moore= [0.27, 0.15, 0.14, 0.13, 0.24, 0.51, 0.65, 1.3];
FDLineficiente= [0.1, 0.1, 0.1, 0.1, 0.1, 0.4, 5.21, 1.87];
FDLeficiente= [0.1, 0.1, 0.1, 0.1, 0.70, 0.99, 1.29, 0.99];

% Mistuned, Datos de Ciocca et al. 1994

mistunings= [0, 1.6, 3.2, 4.8, 6.4, 8.0,11.3];
Darwin= [155.2, 155.6, 155.8, 155.6, 155.45, 155.2, 155.2];
mistMeddis= 0:1.6:12.8;
Meddis= [155.0, 155.3, 155.5, 155.7, 155.8, 155.7, 155.6, 155.5, 155.0];
MistEficiente= [155, 155.5, 155.9, 155.8, 155.2, 154.8, 155.1];
MistIneficiente = [155, 155.7, 155.2, 154.9, 155.1, 155, 155.1];

% Harmonic dominance, Datos de Moore et al., 1985

% harmonics= 1:6;
% Mistuned100= [0.15, 0.72, 0.4, 0.71, 0.5, 0.28];
% Mistuned200= [0.79, 0.83, 0.75, 0.52, 0.28, 0.09];
% Mistuned400= [];


semilogx(FDLfreqs, FDL200Moore, 's', FDLfreqs, FDLineficiente, '^', FDLfreqs, FDLeficiente, 'o');
legend('Moore (1973)', 'Todos los retrasos', 'ptimo')
xlabel('Frequencia (Hz)')
ylabel('FDL (%)')

% plot(mistunings, Darwin, '-s', mistunings, MistEficiente, '-o', mistunings, MistIneficiente, '-^', mistMeddis, Meddis,'-*');
% legend('Darwin et al. (1994)', 'ptimo', 'Todos los retrasos', 'Meddis & O Mard (1997)')
% xlabel('Desafinamiento(%)')
% ylabel('Altura(Hz)')
% grid on

% % Data from Plomp(1967) and predictions from Meddis & Hewitt (1991)
% m=[200,300,450,675];
% Plomp=[3.55, 3, 2.45, 2];
% HM=[3, 2.4, 1.85, 1.5];
% Conf=[1.94, 1.48, 1.01, 1];
% 
% plot(m,Plomp,'-s',m,HM,'-o',m,Conf,'-^')
% legend('Plomp (1967)','Meddis & Hewitt (1991)','200 log 0.5/CF-15/CF')
% xlabel('Fundamental Frequency(Hz)')
% ylabel('Harmonic number')
